t***@debug-online.cn
t***@debug-online.cn
  • 发布:2021-07-17 21:32
  • 更新:2023-02-02 17:35
  • 阅读:1321

需求墙申请:uni小程序SDK提供flutter混合原生开发支持

分类:uni小程序sdk

存在问题

目前应用的原生APP开发基于flutter,最新版安卓版本(3.1.22、3.1.22-beta)集成uni小程序SDK各种报错,问题基本存在与gradle最低版本限制:flutter使用3.5,sdk最低4.1

需求诉求

希望官方能提供flutter版demo或sdk适配flutter开发

需求重要度

十分重要,flutter适配问题对大量基于flutter开发应用的快速集成开发与SDk后续升级保障影响较大

2021-07-17 21:32 负责人:无 分享
已邀请:
DCloud_heavensoft

DCloud_heavensoft

这不需要DCloud做什么。
不管flutter还是uni小程序sdk,都是原生工程的一部分。你的原生代码作为桥,与flutter和uni小程序sdk通信即可,不需要uni小程序sdk直接和flutter做什么。

t***@debug-online.cn

t***@debug-online.cn (作者)

有负责人关注这个问题吗?

土司

土司 - 保险

你应该去苹果官网去申请给你出一个支持安卓的

  • t***@debug-online.cn (作者)

    这话就没意思了吧!DCloud号称简化开发流程,已经在整合小程序平台了,然后又不支持移动端大一统的统一UI?发起问题也是想敦促一下而已,你的回复有些抬杠了,这年头微信都快支持支付宝支付了,这个没有太大技术壁垒的东西有啥不能说的

    2021-07-19 14:16

  • s***@126.com

    你确实很抬杠

    2021-09-10 17:51

  • 飞酒

    你抬杠一把梭

    2022-09-01 09:52

冷羽QAQ

冷羽QAQ - 冷了年度

其实我们想要的是一个Flutter的插件,这个插件能够拥有原生端支持小程序的功能的。
Flutter插件可以实现uni小程序功能。

头皮酱

头皮酱

我手上这个项目就是flutter集成了uni小程序sdk,已经上架了

弈凌

弈凌 - yl-yue

需求确实存在,支持在Flutter中使用

窄门餐眼

窄门餐眼

还是希望官方可以重视一下这个需求,最近在考虑flutter重写app,然后想在其中集成咱们的uni-app;

  • 机车圈

    flutter 重构搞定了吗? 我最近也在做,看看能不能互相交流一下

    2023-04-13 09:53

  • 窄门餐眼

    回复 机车圈: 已经搁置了,原来计划flutter为主, 通过uni-sdk的方式引入不太重要的页面,来平稳升级,发现到最后还是得跟原生打交道,如果是纯web开发不太建议;公司有原生开发的话还可以搞搞

    2023-04-20 15:54

  • 雨夜敬清秋

    回复 窄门餐眼: 用flutter 装载uni-sdk还是要和原生打交道吗?那如果公司没有原生开发团队的话,是不是这条路很难走通?

    2023-07-11 15:56

  • 窄门餐眼

    回复 雨夜敬清秋: 肯定的,你要搭起沟通通道,参考官方的你的原生代码作为桥,与flutter和uni小程序sdk通信即可,关键是不会原生你怎么通信,搜问题不全或者太老,如果要自定义一些沟通还是回到原生,没有原生开发团队着实难,因为你要同时会安卓跟 ios,实在需要又不想招人,外包出个基本包(做好登录啥的)吧

    2023-09-21 11:28

要回复问题请先登录注册